Package web2py :: Package gluon :: Module debug

[hide private]
[frames] | no frames]

# Module debug

source code
This file is part of the web2py Web Framework Developed by Massimo Di Pierro <mdipierro@cs.depaul.edu>, limodou <limodou@gmail.com> and srackham <srackham@gmail.com>. License: LGPLv3 (http://www.gnu.org/licenses/lgpl.html)

Classes | [hide private]

| Pipe
| WebDebugger Qdb web2py interface

Functions | [hide private]

set_trace() breakpoint shortcut (like pdb) | source code

stop_trace() stop waiting for the debugger (called atexit) | source code

communicate(command=global_settings.applications_parent) send command to debbuger, wait result | source code

check_interaction(fn) Decorator to clean and prevent interaction when not available | source code

Variables | [hide private]

| logger = `logging.getLogger("web2py")`
| pipe_in = `Pipe('in')`
| pipe_out = `Pipe('out')`
| debugger = `pdb.Pdb(completekey= None, stdin= pipe_in, stdout= `...``
| interact_lock = `<_RLock(None, 0)>`
| run_lock = `<_RLock(None, 0)>`
| front_conn = `qdb.QueuePipe("parent", parent_queue, child_queue)`
| child_conn = `qdb.QueuePipe("child", child_queue, parent_queue)`
| web_debugger = `<web2py.gluon.debug.WebDebugger object at 0x2a4`...``
| qdb_debugger = `qdb.Qdb(pipe= child_conn, redirect_stdio= False`...``
| dbg = `qdb.Qdb(pipe= child_conn, redirect_stdio= False, skip= N`...``
| child_queue = `<Queue.Queue instance at 0x31c4758>`
| parent_queue = `<Queue.Queue instance at 0x31c41b8>`

Variables Details | [hide private]

### debugger

Value:

      pdb.Pdb(completekey= None, stdin= pipe_in, stdout= pipe_out,)

### web_debugger

Value:

      WebDebugger(front_conn)

### qdb_debugger

Value:

      qdb.Qdb(pipe= child_conn, redirect_stdio= False, skip= None)

### dbg

Value:

      qdb.Qdb(pipe= child_conn, redirect_stdio= False, skip= None)